DeltaSessionFacade (Tomcat API Documentation)
Keywords: org.apache.catalina.cluster.session.DeltaSessionFacade class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.cluster.session
Class DeltaSessionFacade

    java.lang.Object
      org.apache.catalina.cluster.session.DeltaSessionFacade

All Implemented Interfaces:
  javax.servlet.http.HttpSession

public class DeltaSessionFacade
extends java.lang.Object
implements javax.servlet.http.HttpSession

Facade for the DeltaSession object.

Version:
  $Id: DeltaSessionFacade.java 939539 2010-04-30 01:31:33Z kkolinko $
Author:
  Remy Maucherat, Filip Hanik

Constructor Summary
`DeltaSessionFacade(DeltaSession session)` Construct a new session facade.
`DeltaSessionFacade(javax.servlet.http.HttpSession session)` Construct a new session facade.

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String name)`
`java.util.Enumeration` | `getAttributeNames()`
`long` | `getCreationTime()`
`java.lang.String` | `getId()`
`long` | `getLastAccessedTime()`
`int` | `getMaxInactiveInterval()`
`javax.servlet.ServletContext` | `getServletContext()`
`javax.servlet.http.HttpSessionContext` | `getSessionContext()`
`java.lang.Object` | `getValue(java.lang.String name)`
`java.lang.String[]` | `getValueNames()`
`void` | `invalidate()`
`boolean` | `isNew()`
`void` | `putValue(java.lang.String name, java.lang.Object value)`
`void` | `removeAttribute(java.lang.String name)`
`void` | `removeValue(java.lang.String name)`
`void` | `setAttribute(java.lang.String name, java.lang.Object value)`
`void` | `setMaxInactiveInterval(int interval)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeltaSessionFacade

    public DeltaSessionFacade(DeltaSession session)

  Construct a new session facade.

### DeltaSessionFacade

    public DeltaSessionFacade(javax.servlet.http.HttpSession session)

  Construct a new session facade.

Method Detail

### getCreationTime

    public long getCreationTime()

  Specified by:
    `getCreationTime` in interface `javax.servlet.http.HttpSession`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `javax.servlet.http.HttpSession`

### getLastAccessedTime

    public long getLastAccessedTime()

  Specified by:
    `getLastAccessedTime` in interface `javax.servlet.http.HttpSession`

### getServletContext

    public javax.servlet.ServletContext getServletContext()

  Specified by:
    `getServletContext` in interface `javax.servlet.http.HttpSession`

### setMaxInactiveInterval

    public void setMaxInactiveInterval(int interval)

  Specified by:
    `setMaxInactiveInterval` in interface `javax.servlet.http.HttpSession`

### getMaxInactiveInterval

    public int getMaxInactiveInterval()

  Specified by:
    `getMaxInactiveInterval` in interface `javax.servlet.http.HttpSession`

### getSessionContext

    public javax.servlet.http.HttpSessionContext getSessionContext()

  Specified by:
    `getSessionContext` in interface `javax.servlet.http.HttpSession`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Specified by:
    `getAttribute` in interface `javax.servlet.http.HttpSession`

### getValue

    public java.lang.Object getValue(java.lang.String name)

  Specified by:
    `getValue` in interface `javax.servlet.http.HttpSession`

### getAttributeNames

    public java.util.Enumeration getAttributeNames()

  Specified by:
    `getAttributeNames` in interface `javax.servlet.http.HttpSession`

### getValueNames

    public java.lang.String[] getValueNames()

  Specified by:
    `getValueNames` in interface `javax.servlet.http.HttpSession`

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Specified by:
    `setAttribute` in interface `javax.servlet.http.HttpSession`

### putValue

    public void putValue(java.lang.String name,
                         java.lang.Object value)

  Specified by:
    `putValue` in interface `javax.servlet.http.HttpSession`

### removeAttribute

    public void removeAttribute(java.lang.String name)

  Specified by:
    `removeAttribute` in interface `javax.servlet.http.HttpSession`

### removeValue

    public void removeValue(java.lang.String name)

  Specified by:
    `removeValue` in interface `javax.servlet.http.HttpSession`

### invalidate

    public void invalidate()

  Specified by:
    `invalidate` in interface `javax.servlet.http.HttpSession`

### isNew

    public boolean isNew()

  Specified by:
    `isNew` in interface `javax.servlet.http.HttpSession`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.